#
# IMPORTANT NOTE
#
# This chart inherits from our common library chart. You can check the default values/options here:
# https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml
#

image:
  # -- image repository
  repository: deluan/navidrome
  # -- image tag
  tag: 0.43.0
  # -- image pull policy
  pullPolicy: IfNotPresent

# -- environment variables. See [navidrome docs](https://www.navidrome.org/docs/usage/configuration-options/#environment-variables) for more details.
# @default -- See below
env:
  # -- Set the container timezone
  TZ: UTC
  # -- Log level. Useful for troubleshooting.
  ND_LOGLEVEL: info
  # -- How long Navidrome will wait before closing web ui idle sessions
  ND_SESSIONTIMEOUT: 24h
  # -- Enables transcoding configuration in the UI
  ND_ENABLETRANSCODINGCONFIG: "true"
  # -- Folder where your music library is stored.
  ND_MUSICFOLDER: /music

# -- Configures service settings for the chart.
# @default -- See values.yaml
service:
  main:
    ports:
      http:
        port: 4533

ingress:
  # -- Enable and configure ingress settings for the chart under this key.
  # @default -- See values.yaml
  main:
    enabled: false

# -- Configure persistence settings for the chart under this key.
# @default -- See values.yaml
persistence:
  config:
    enabled: false
    mountPath: /data
  music:
    enabled: false
    mountPath: /music
